---
title: "Searches Freight Types by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-freighttypes"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Freight Types by parameters

`GET` `/freighttypes`

Operation ID: `get-freighttypes`

Searches Freight Types by parameters

## Query parameters

- `name` (string, optional) - Freight type name.
- `deleted` (boolean, optional) - Is freight type deleted.
- `modified_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Freight type modified since date and time.
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Freight Types data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /freighttypes:
    get:
      tags:
        - freighttypes
      summary: Searches Freight Types by parameters
      description: Searches Freight Types by parameters
      operationId: get-freighttypes
      parameters:
        - name: name
          in: query
          description: Freight type name.
          schema:
            maxLength: 100
            minLength: 0
            type: string
            description: Freight type name.
            nullable: true
        - name: deleted
          in: query
          description: Is freight type deleted.
          schema:
            type: boolean
            description: Is freight type deleted.
            nullable: true
        - name: modified_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Freight type modified
            since date and time.
          schema:
            type: string
            description: Freight type modified since date and time.
            format: date-time
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Freight Types data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/FreightType.PagingResponse"
              example:
                data:
                  - name: string
                    id: 0
                    deleted: true
                    modified_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    FreightType.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/FreightType"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    FreightType:
      title: ""
      required:
        - name
      type: object
      properties:
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Freight Type name.
        id:
          type: integer
          description: Freight Type Id.
          format: int32
          nullable: true
        deleted:
          type: boolean
          description: Is Freight Type deleted (enabled/disabled)?.
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Freight Type Model
```
